#!/bin/sh

cp mysqlbackup /usr/local/bin/
chmod 755 /usr/local/bin/mysqlbackup

if [ ! -f /root/.my.cnf ]; then
	read -s -p "Enter the root MySQL Password: " MYSQL_PASS;
	cat <<EOF >> /tmp/.my.cfg
[client]
user=root
password=${MYSQL_PASS}

[mysqldump]
user=root
password=${MYSQL_PASS}
EOF
fi

if [ ! -e /var/backup/mysql ]; then
	mkdir -p /var/backup/mysql
fi

if ! grep mysqlbackup /etc/crontab > /dev/null; then
	cat crontab.in >> /etc/crontab 
fi

